# Uses of Class
org.springframework.beans.PropertyValue

Packages that use PropertyValue
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.

## Uses of PropertyValue in org.springframework.beans

Methods in org.springframework.beans that return PropertyValue
Modifier and Type
Method
Description
`PropertyValue`
PropertyValue.`getOriginalPropertyValue()`
Return the original PropertyValue instance for this value holder.
`PropertyValue`
MutablePropertyValues.`getPropertyValue(String propertyName)`
`PropertyValue`
PropertyValues.`getPropertyValue(String propertyName)`
Return the property value with the given name, if any.
`PropertyValue[]`
MutablePropertyValues.`getPropertyValues()`
`PropertyValue[]`
PropertyValues.`getPropertyValues()`
Return an array of the PropertyValue objects held in this object.
Methods in org.springframework.beans that return types with arguments of type PropertyValue
Modifier and Type
Method
Description
`List<PropertyValue>`
MutablePropertyValues.`getPropertyValueList()`
Return the underlying List of PropertyValue objects in its raw form.
`Iterator<PropertyValue>`
MutablePropertyValues.`iterator()`
`default Iterator<PropertyValue>`
PropertyValues.`iterator()`
Return an `Iterator` over the property values.
`Spliterator<PropertyValue>`
MutablePropertyValues.`spliterator()`
`default Spliterator<PropertyValue>`
PropertyValues.`spliterator()`
Return a `Spliterator` over the property values.
`Stream<PropertyValue>`
MutablePropertyValues.`stream()`
`default Stream<PropertyValue>`
PropertyValues.`stream()`
Return a sequential `Stream` containing the property values.
Methods in org.springframework.beans with parameters of type PropertyValue
Modifier and Type
Method
Description
`MutablePropertyValues`
MutablePropertyValues.`addPropertyValue(PropertyValue pv)`
Add a PropertyValue object, replacing any existing one for the corresponding property or getting merged with it (if applicable).
`void`
MutablePropertyValues.`removePropertyValue(PropertyValue pv)`
Remove the given PropertyValue, if contained.
`protected void`
AbstractNestablePropertyAccessor.`setPropertyValue(AbstractNestablePropertyAccessor.PropertyTokenHolder tokens, PropertyValue pv)`
`void`
AbstractNestablePropertyAccessor.`setPropertyValue(PropertyValue pv)`
`void`
AbstractPropertyAccessor.`setPropertyValue(PropertyValue pv)`
`void`
PropertyAccessor.`setPropertyValue(PropertyValue pv)`
Set the specified value as current property value.
`void`
MutablePropertyValues.`setPropertyValueAt(PropertyValue pv, int i)`
Modify a PropertyValue object held in this object.
Constructors in org.springframework.beans with parameters of type PropertyValue
Modifier
Constructor
Description
``
`PropertyValue(PropertyValue original)`
Copy constructor.
``
`PropertyValue(PropertyValue original, Object newValue)`
Constructor that exposes a new value for an original value holder.
Constructor parameters in org.springframework.beans with type arguments of type PropertyValue
Modifier
Constructor
Description
``
`MutablePropertyValues(List<PropertyValue> propertyValueList)`
Construct a new MutablePropertyValues object using the given List of PropertyValue objects as-is.